using System;
using Server;

namespace Server.Items
{
	[FlipableAttribute( 0x07DE, 0x0819 )]
	public class Lexicon : BaseBook
	{
		[Constructable]
		public Lexicon() : base( 0x07DE, 40, true )
		{
			Hue = Utility.RandomHue();
		}

		[Constructable]
		public Lexicon( int pageCount, bool writable ) : base( 0x07DE, pageCount, writable )
		{
		}

		[Constructable]
		public Lexicon( string title, string author, int pageCount, bool writable ) : base( 0x07DE, title, author, pageCount, writable )
		{
		}

		public Lexicon( bool writable ) : base( 0x07DE, writable )
		{
		}

		public Lexicon( Serial serial ) : base( serial )
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 ); // version
		}
	}
}
